net.minecraft.client.renderer.texture

## Class TextureMap

- java.lang.Object
- - net.minecraft.client.renderer.texture.TextureMap

- All Implemented Interfaces:
    IconRegister

      public class TextureMap
      extends Object
      implements IconRegister

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `field_94251_d`
    `String` | `field_94253_b`
    `String` | `field_94254_c`
    `int` | `field_94255_a`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextureMap(int par1, String par2, String par3Str, BufferedImage par4BufferedImage)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Icon` | `func_94245_a(String par1Str)`
    `Texture` | `func_94246_d()`
    `void` | `func_94247_b()`
    `void` | `func_94248_c()`
    `Icon` | `func_96455_e()`
    `TextureStitched` | `getTextureExtry(String name)` Grabs the registered entry for the specified name, returning null if there was not a entry.
    `boolean` | `setTextureEntry(String name, TextureStitched entry)` Adds a texture registry entry to this map for the specified name if one does not already exist.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_94255_a

          public final int field_94255_a

    - #### field_94253_b

          public final String field_94253_b

    - #### field_94254_c

          public final String field_94254_c

    - #### field_94251_d

          public final String field_94251_d

  - ### Constructor Detail

    - #### TextureMap

          public TextureMap(int par1,
                    String par2,
                    String par3Str,
                    BufferedImage par4BufferedImage)

  - ### Method Detail

    - #### func_94247_b

          public void func_94247_b()

    - #### func_94248_c

          public void func_94248_c()

    - #### func_94246_d

          public Texture func_94246_d()

    - #### func_94245_a

          public Icon func_94245_a(String par1Str)

      Specified by:
        `func_94245_a` in interface `IconRegister`

    - #### func_96455_e

          public Icon func_96455_e()

    - #### getTextureExtry

          public TextureStitched getTextureExtry(String name)

      Grabs the registered entry for the specified name, returning null if there was not a entry. Opposed to func_94245_a, this will not instantiate the entry, useful to test if a maping exists.
      Parameters:
        `name` - The name of the entry to find
      Returns:
        The registered entry, null if nothing was registered.

    - #### setTextureEntry

          public boolean setTextureEntry(String name,
                                TextureStitched entry)

      Adds a texture registry entry to this map for the specified name if one does not already exist. Returns false if the map already contains a entry for the specified name.
      Parameters:
        `name` - Entry name
        `entry` - Entry instance
      Returns:
        True if the entry was added to the map, false otherwise.